%define upstream_name	 Linux-Inotify2
%define upstream_version 1.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Scalable directory/file change notification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: perl-devel

%{?perl_default_filter}
Requires:   perl(common::sense)
%description
This module implements an interface to the Linux 2.6.13 and later
Inotify file/directory change notification sytem.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc COPYING Changes META.json README eg
%{perl_vendorarch}/Linux
%{perl_vendorarch}/auto/Linux
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-11.mga6
+ Revision: 1029166
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.220.0-10.mga6
+ Revision: 957656
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.220.0-9.mga6
+ Revision: 842733
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-8.mga5
+ Revision: 749034
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.220.0-7.mga5
+ Revision: 733120
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.220.0-6.mga5
+ Revision: 685228
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.220.0-5.mga5
+ Revision: 631373
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.220.0-4.mga4
+ Revision: 524387
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.220.0-3.mga4
+ Revision: 430785
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-2.mga3
+ Revision: 369108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.220.0-1.mga3
+ Revision: 107023
- update to 1.22

* Sun Jun 12 2011 sander85 <sander85> 1.210.0-4.mga2
+ Revision: 104754
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.210.0-3.mga1
+ Revision: 30717
- mageia rebuild
- imported package perl-Linux-Inotify2


* Sun Aug 15 2010 Anssi Hannula <anssi@mandriva.org> 1.210.0-3mdv2011.0
+ Revision: 570211
- add missing requires on perl(common::sense)

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.210.0-2mdv2011.0
+ Revision: 555998
- rebuild for perl 5.12

* Thu Sep 24 2009 Jérôme Quelin <jquelin@mandriva.org> 1.210.0-1mdv2010.0
+ Revision: 448258
- update to 1.21

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.2-2mdv2010.0
+ Revision: 440606
- rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2009.1
+ Revision: 292196
- update to new version 1.2

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 1.1-1mdv2008.1
+ Revision: 176899
- initial Mandriva release

